﻿Imports System.Collections.ObjectModel

Class MainWindow

    Public Property Customers As ObservableCollection(Of String)

    Public Property SelectedCustomer As String

    Sub New()
        InitializeComponent()
        Customers = New ObservableCollection(Of String)()
        DataContext = Me
    End Sub

    Private Sub btnAdd_Click(sender As Object, e As RoutedEventArgs) Handles btnAdd.Click
        Dim rawInput = InputBox("Enter a new customer", "New customer")
        Dim trimmedInput = rawInput.Trim()
        If String.IsNullOrEmpty(trimmedInput) Then
            MessageBox.Show("Please enter a customer name", "Name missing", MessageBoxButton.OK, MessageBoxImage.Warning)
            Return
        End If
        Customers.Add(trimmedInput)
    End Sub

    Private Sub btnEdit_Click(sender As Object, e As RoutedEventArgs) Handles btnEdit.Click
        If String.IsNullOrEmpty(selectedCustomer) Then
            MessageBox.Show("Please select a customer to edit first", "No customer selected", MessageBoxButton.OK, MessageBoxImage.Warning)
            Return
        End If
        Dim selectedIndex = Customers.IndexOf(SelectedCustomer)
        Dim rawInput = InputBox($"Edit customer {selectedCustomer}", "Edit customer", selectedCustomer)
        Dim trimmedInput = rawInput.Trim()
        If String.IsNullOrEmpty(trimmedInput) Then
            MessageBox.Show("Please enter a customer name", "Name missing", MessageBoxButton.OK, MessageBoxImage.Warning)
            Return
        End If
        Customers(selectedIndex) = trimmedInput
    End Sub

    Private Sub btnRemove_Click(sender As Object, e As RoutedEventArgs) Handles btnRemove.Click
        If String.IsNullOrEmpty(SelectedCustomer) Then
            MessageBox.Show("Please select a customer to remove first", "No customer selected", MessageBoxButton.OK, MessageBoxImage.Warning)
            Return
        End If
        Dim selectedIndex = Customers.IndexOf(SelectedCustomer)
        Customers.RemoveAt(selectedIndex)
    End Sub

End Class
